export default Object.freeze({
    ORDER: Object.freeze({
        ORDER_CREATED: Object.freeze({
            TITLE: 'Orders Created Successfully',
            MESSAGE: 'Orders have been created successfully'
        }),
        ORDER_WAREHOUSE_CONFIRMED: Object.freeze({
            TITLE: 'Warehouse Successfully confirmed',
            MESSAGE: 'Warehouse have been confirmed successfully'
        }),
        PACKING_LIST_NOTIFICATION: Object.freeze({
            TITLE: 'Packing list Successfully created',
            MESSAGE: 'Packing list have been created',
            UPDATE: Object.freeze({
                TITLE: 'Packing list Successfully Updated',
                MESSAGE: 'Packing list have been updated'
            })
        }),
        ORDER_PACKED: Object.freeze({
            TITLE: 'Order Successfully Packed',
            MESSAGE: 'Order have been packed successfully'
        }),
        SHIPPING_ARRANGEMENT: Object.freeze({
            TITLE: 'Shipping Arrangement Successfully Created',
            MESSAGE: 'Shipping Arrangement have been created successfully',
            RESCHEDULE: Object.freeze({
                TITLE: 'Shipping Arrangement Successfully Rescheduled',
                MESSAGE: 'Shipping Arrangement have been rescheduled successfully'
            })
        }),
        PORT_ARRIVAL: Object.freeze({
            TITLE: 'Port Arrival Successfully Confirmed',
            MESSAGE: 'Port Arrival have been confirmed successfully'
        }),
        WAREHOUSE_ARRIVAL: Object.freeze({
            TITLE: 'Warehouse Arrival Successfully Confirmed',
            MESSAGE: 'Warehouse Arrival have been confirmed successfully'
        }),
        WAREHOUSE_RECEIVE: Object.freeze({
            TITLE: 'Warehouse Received Confirmed',
            MESSAGE: 'Warehouse Received have been confirmed'
        }),
        ORDER_UNPACKED: Object.freeze({
            TITLE: 'Order Successfully Unpacked',
            MESSAGE: 'Order have been unpacked successfully'
        }),
        OUT_FOR_DELIVERY: Object.freeze({
            TITLE: 'Out For Delivery Successfully Confirmed',
            MESSAGE: 'Out For Delivery have been confirmed successfully'
        })
    }),
    IMPORTER: Object.freeze({
        DETAILS: {
            CREATED: {
                TITLE: 'Created Successfully',
                MESSAGE: "created successfully"
            },
            DETAILS_UPDATED: {
                TITLE: "updated",
                MESSAGE: "updated"
            }
        },
        ADDRESS_BOOK: {
            TITLE: null,
            MESSAGE: null,
            UPDATED: {
                TITLE: null,
                MESSAGE: null
            }
        },
    }),
    WAREHOUSE: Object.freeze({
        DETAILS_CREATED: {
            TITLE: 'Warehouse created',
            MESSAGE: 'warehouse created',
            UPDATED: Object.freeze({
                TITLE: 'warehouse updated',
                MESSAGE: 'warehouse updated'
            })
        },
        CONTACT: {
            CREATED: {
                TITLE: 'new contact created',
                MESSAGE: 'new contact created'
            },
            UPDATED: {
                TITLE: 'Contact updated',
                MESSAGE: 'Contact updated'
            }
        }
    })
});